/*
 * Created on December 12, 2003
 *
 * ResourceAdapterMetaDataImpl.java is used to test the J2EE Connector
 * as implemented by JOnAS. 
 */
package ersatz.resourceadapter;

import javax.resource.cci.ResourceAdapterMetaData;
/**
 * @author Bob Kruse
 *
 * used to test the J2EE Connector as implemented by JOnAS.
 *
 */
public class ResourceAdapterMetaDataImpl 
	implements ResourceAdapterMetaData

{
    String cName = "ResourceAdapterMetaDataImpl";
    
    public ResourceAdapterMetaDataImpl() {
    }
	public String getAdapterVersion() {
		return "1.5";
	}
	public String getAdapterVendorName() {
		return "Bull ObjectWeb";
	}
	public String getAdapterName() {
		return "JOnAS Erstaz Resource Adapter";
	}
	public String getAdapterShortDescription() {
		return "Test JOnAS Application Server compliance to J2EE Java Community Process (JSR112)";
	}
	public String getSpecVersion() {
		return "J2EE Java Community Process (JSR112)";
	}
	public String[] getInteractionSpecsSupported() {
		String[]s = {"JSR016","JSR112"};
		return s;
	}
	public boolean supportsExecuteWithInputAndOutputRecord() {
		return true;
	}
	public boolean supportsExecuteWithInputRecordOnly() {
		return true;
	}
	public boolean supportsLocalTransactionDemarcation() {
		return false;
	}
}
